##### GENERAL STUFF #####
%define version    2.01
%define release    %mkrel 1
%define libnamedev  %mklibname -d %{name}

Name:    tesseract-ocr
Summary:  An OCR engine
Version:  %{version}
Release:  %{release}
License:  Apache License
URL:    http://code.google.com/p/tesseract-ocr/
Group:    Text tools
Source0:  tesseract-%{version}.tar.bz2
# Language data (at least ONE is mandatory to run!):
Source1:  tesseract-2.00.eng.tar.gz
Source2:  tesseract-2.00.fra.tar.gz
Source3:  tesseract-2.00.ita.tar.gz
Source4:  tesseract-2.00.spa.tar.gz
Source5:  tesseract-2.00.nld.tar.gz
Source6:  tesseract-2.00.deu.tar.gz
Source7:  tesseract-2.01.deu-f.tar.gz
Source8:  tesseract-2.01.por.tar.gz
Source9:  tesseract-xsane-integration
Source10: tesseract-2.01.vie.tar.gz
Requires: tesseract-ocr-deu
BuildRequires:  tiff-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION tesseract-ocr #####
%description
A commercial quality OCR engine originally developed at HP between 1985
and 1995. In 1995, this engine was among the top 3 evaluated by UNLV.
It was open-sourced by HP and UNLV in 2005.



##### SUB-PACKAGE libtesseract-ocr-devel #####
%package -n %libnamedev
Summary:  Development files from %name.
Group:    Development/C++
Requires:  %name = %{version}
Provides:  %name-devel = %{version}-%{release}

##### DESCRIPTION libtesseract-ocr-devel #####
%description -n %libnamedev
%{name} is an OCR engine.
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{libname}.


##### LANGUAGE-PACKAGE (Source1) #####
%package eng
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-eng #####
%description eng
English language data for Tesseract


##### LANGUAGE-PACKAGE (Source2) #####
%package fra
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-fra #####
%description fra
French language data for Tesseract


##### LANGUAGE-PACKAGE (Source3) #####
%package ita
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-ita #####
%description ita
Italian language data for Tesseract


##### LANGUAGE-PACKAGE (Source4) #####
%package spa
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-spa #####
%description spa
Spanish language data for Tesseract


##### LANGUAGE-PACKAGE (Source5) #####
%package nld
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-nld #####
%description nld
Dutch language data for Tesseract


##### LANGUAGE-PACKAGE (Source6) #####
%package deu
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-deu #####
%description deu
German language data for Tesseract


##### LANGUAGE-PACKAGE (Source7) #####
%package deu-f
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-deu-f #####
%description deu-f
Fraktur (Old German) language data for Tesseract


##### LANGUAGE-PACKAGE (Source8) #####
%package por
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-por #####
%description por
Portuguese (Brazilian) language data for Tesseract


##### xsane-support (Source9)#####
%package xsane
Summary:	xsane-integration
Group:		Graphics
Requires: xsane
Requires: imagemagick
Requires: tesseract-ocr

%description xsane
script for using tesseract with xsane
Just configure ocr-programm in xsane using
OCR-command		: xsane2tess.sh -l LANGUAGE
Option for input-file	: -i
Option for output-file	: -o


##### LANGUAGE-PACKAGE (Source10) #####
%package vie
Summary:  language data
Group:    Text tools
##### DESCRIPTION tesseract-ocr-deu #####
%description vie
Vietnamese language data for Tesseract


##### PREP #####
%prep
%setup -q -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a10 -n tesseract-%{version}



##### BUILD #####
%build
%configure
%make


##### INSTALL #####
%install
rm -rf %{buildroot}
%makeinstall_std
# Copy some language-data manually (deu-f & por not recognized by Makefile, yet):
install -m644 tessdata/deu-f.* %{buildroot}%{_datadir}/tessdata/
install -m644 tessdata/por.* %{buildroot}%{_datadir}/tessdata/
install -m644 tessdata/vie.* %{buildroot}%{_datadir}/tessdata/

# Copy tesseract-xsane-integration
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %SOURCE9 %{buildroot}%{_bindir}/xsane2tess.sh


##### CLEAN #####
%clean
rm -rf %{buildroot}



##### POST & POSTUN  #####
%post
%postun



##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### tesseract-ocr #####
%files
%defattr(-,root,root)

%doc AUTHORS ChangeLog COPYING INSTALL NEWS README ReleaseNotes eurotext.tif phototest.tif
%{_bindir}/cntraining
%{_bindir}/mftraining
%{_bindir}/tesseract
%{_bindir}/unicharset_extractor
%{_bindir}/wordlist2dawg
%{_datadir}/tessdata/confsets
%{_datadir}/tessdata/configs/*
%{_datadir}/tessdata/tessconfigs/*

##### libtesseract-ocr-devel #####
%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/tesseract/*.h
%{_includedir}/tesseract/*.cpp
%{_includedir}/tesseract/*.dsp
%{_includedir}/tesseract/*.vcproj
%{_libdir}/libtesseract*.a

##### tesseract-ocr-eng #####
%files eng
%defattr(-,root,root)
%{_datadir}/tessdata/eng.*

##### tesseract-ocr-fra #####
%files fra
%defattr(-,root,root)
%{_datadir}/tessdata/fra.*

##### tesseract-ocr-ita #####
%files ita
%defattr(-,root,root)
%{_datadir}/tessdata/ita.*

##### tesseract-ocr-spa #####
%files spa
%defattr(-,root,root)
%{_datadir}/tessdata/spa.*

##### tesseract-ocr-nld #####
%files nld
%defattr(-,root,root)
%{_datadir}/tessdata/nld.*

##### tesseract-ocr-deu #####
%files deu
%defattr(-,root,root)
%{_datadir}/tessdata/deu.*

##### tesseract-ocr-deu-f #####
%files deu-f
%defattr(-,root,root)
%{_datadir}/tessdata/deu-f.*

##### tesseract-ocr-por #####
%files por
%defattr(-,root,root)
%{_datadir}/tessdata/por.*

%files xsane
%defattr(-,root,root)
%{_bindir}/xsane2tess.sh

##### tesseract-ocr-vie #####
%files vie
%defattr(-,root,root)
%{_datadir}/tessdata/vie.*



##### CHANGELOG #####
%changelog
* Tue Jan 29 2008 Oliver Burger <rpm@mandrivauser.de> 2.01-1mud2008.0
- Rebuild from MadMax' SPEC
- Added tesseract-sane-support thanks again to MadMax

* Fri Jan 25 2008 MaxiPunkt <email@domain.de> 2.01-1max
- First self-made built for Mandriva with cleaned SPEC